Package org.apache.sling.scripting.sightly.impl.plugin

## Class AbstractPlugin

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin

All Implemented Interfaces:
  `Comparable<Plugin>`, `Plugin`

Direct Known Subclasses:
  `AbstractRepeatPlugin`, `AttributePlugin`, `CallPlugin`, `ElementPlugin`, `IncludePlugin`, `ResourcePlugin`, `SetPlugin`, `TemplatePlugin`, `TestPlugin`, `TextPlugin`, `UnwrapPlugin`, `UsePlugin`

    public abstract class AbstractPlugin
    extends Object
    implements Plugin

### Field Summary

Fields
`protected String` `name`
`protected int` `priority`

### Constructor Summary

Constructors
`AbstractPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(Plugin o)`
`String` `decodeVariableName​(PluginCallInfo pluginCallInfo)`
`String` `name()` The name of the plugin
`int` `priority()` The priority of the plugin

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.scripting.sightly.impl.plugin.Plugin

`invoke`

### Field Detail

#### priority

    protected int priority

#### name

    protected String name

### Constructor Detail

#### AbstractPlugin

    public AbstractPlugin()

### Method Detail

#### priority

    public int priority()

Description copied from interface: `Plugin`
The priority of the plugin

Specified by:
  `priority` in interface `Plugin`
Returns:
  a numeric value which controls when, relative to other plugins, should this plugin be applied

#### name

    public String name()

Description copied from interface: `Plugin`
The name of the plugin

Specified by:
  `name` in interface `Plugin`
Returns:
  the plugin name

#### compareTo

    public int compareTo​(Plugin o)

Specified by:
  `compareTo` in interface `Comparable<Plugin>`

#### decodeVariableName

    public String decodeVariableName​(PluginCallInfo pluginCallInfo)